package ch.usi.inf.sp.cfg;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class NodeTest {

    @Test
    void newNode() {
        Node n = new Node();
        assertEquals(0, n.getInEdges().size());
        assertEquals(0, n.getOutEdges().size());
    }

    @Test
    void addInEdge() {
        Node n = new Node();
        Edge e = new Edge();
        n.addInEdge(e);
        assertEquals(1, n.getInEdges().size());
        assertSame(e, n.getInEdges().get(0));
    }

    @Test
    void addOutEdge() {
        Node n = new Node();
        Edge e = new Edge();
        n.addOutEdge(e);
        assertEquals(1, n.getOutEdges().size());
        assertSame(e, n.getOutEdges().get(0));
    }

}