# Lab 3 - Software Peformance 2023

This is Lab 3 of the **Software Performance** course at USI.

Go to [this Lab on iCorsi](https://www.icorsi.ch/course/view.php?id=16963).

## Submission Info

| Property   | Value    |
|------------|----------|
| First Name | Claudio  |
| Last Name  | Maggioni |

**NOTE:** the combined PDF with all CFGs, one per method, can be found in `test-output/all.pdf`. Method CFGs are 
laid in side-by-side as I was not able to generate a one-per-page PDF as instructed. I told this to Prof. Hauswirth
on wednesday, and I was told to ask Mr. Di Lauro if this layout was fine too, but I forgot. So, I'd like to apologize if this causes any inconvenience.

## Submission Checklist

Please complete this checklist (turn [ ] into [X]) before you submit:

- [x] I completed the above Submission Info
- [x] I built the project in IntelliJ (Build > Build Project)
- [x] I implemented the ControlFlowGraphBuilder
- [x] I implemented the ControlFlowGraphRenderer
- [x] I wrote the source code myself and did not look at the source code of my class mates
- [x] I ran all the JUnit tests and verified that they all pass
- [x] I manually checked that my implementation is correct by doing this:
    - [x] I studied the test-input/ExampleClass.java source code
    - [x] I ran App to produce the dot files (in test-output/)
    - [x] I ran dot to turn the dot files in test-output into a PDF
    - [x] I manually verified that the PDF contains one page per method of ExampleClass
    - [x] I manually verified that those CFGs correspond to the methods' source code
- [x] I committed my changes (at least one commit, but possibly many)
- [x] I pushed my commits to GitHub
